%define gitrev 8f33f80
%define gitdate 20160923
# Git repo: http://cgit.freedesktop.org/xorg/driver/xf86-video-intel/

# How to prepare the source archive from the git tree:
# $ hash=`git log -1 --format='%h'`
# $ date=`git log -1 --format='%cd' --date=short | tr -d -`
# $ git archive --prefix xf86-video-intel-${date}-git${hash}/ ${hash} \
#       | xz -7e > xf86-video-intel-${date}-git${hash}.tar.xz

# FIXME: fix the cases when immediate symbol resolution is not enough.
# For the present, fall back to the old symbol resolution rules for ld.
%define _disable_ld_now 1

# X.org drivers use symbols from the X server
%global _disable_ld_no_undefined 1

# (anssi) The unversioned symlink of XvMC library must be present in
# %{_libdir} during normal use, as libXvMC uses that name for dlopening.
# Our devel requires finder catches that, hence this exception:
%define __noautoreq 'devel\\(.*'
%define __noautoprov 'devel\\(.*'

%define major 1
%define libxvmc %mklibname IntelXvMC %{major}
%define libxvmc810 %mklibname I810XvMC %{major}

Summary:	X.org driver for Intel graphics controllers
Name:		x11-driver-video-intel
Version:	2.99.917
Release:	1.%{gitdate}.2
Epoch:		1
License:	MIT
Group:		System/X11
Url:		http://xorg.freedesktop.org
#Source0:	http://xorg.freedesktop.org/releases/individual/driver/xf86-video-intel-_{version}.tar.bz2
Source0:	xf86-video-intel-%{gitdate}-git%{gitrev}.tar.xz
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(libdrm)
BuildRequires:	pkgconfig(udev) >= 186
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xcb-util)
BuildRequires:	pkgconfig(xcursor)
BuildRequires:	pkgconfig(xdamage)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xfixes)
BuildRequires:	pkgconfig(xinerama)
BuildRequires:	pkgconfig(xorg-macros)
BuildRequires:	pkgconfig(xorg-server)
BuildRequires:	pkgconfig(xproto)
BuildRequires:	pkgconfig(xrandr)
BuildRequires:	pkgconfig(xrender)
BuildRequires:	pkgconfig(pixman-1)
BuildRequires:	pkgconfig(xtst)
BuildRequires:	pkgconfig(xvmc)
BuildRequires:	pkgconfig(pciaccess)
BuildRequires:	pkgconfig(xfont)
BuildRequires:	glamor-devel >= 0.6.0
Requires:	x11-server-common %(xserver-sdk-abi-requires videodrv)
Requires:	udev
Requires:	%{libxvmc} = %{EVRD}
Requires:	%{libxvmc810} = %{EVRD}

%description
x11-driver-video-intel is the X.org driver for Intel video chipsets.

%files
# the driver
%{_libdir}/xorg/modules/drivers/intel_drv.so
%{_libdir}/libIntelXvMC.so
%{_libdir}/libI810XvMC.so
%{_mandir}/man4/intel.4.*
# intel-backlight-helper
%{_libdir}/xf86-video-intel-backlight-helper
%{_datadir}/polkit-1/actions/org.x.xf86-video-intel.backlight-helper.policy

#----------------------------------------------------------------------------

%package -n %{libxvmc}
Summary:	X Library
Group:		System/Libraries
Conflicts:	%{name} < 2.99.905-2

%description -n %{libxvmc}
This package contains a shared library for %{name}.

%files  -n %{libxvmc}
%{_libdir}/libIntelXvMC.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{libxvmc810}
Summary:	X Library
Group:		System/Libraries
Conflicts:	%{name} < 2.99.905-2

%description -n %{libxvmc810}
This package contains a shared library for %{name}.

%files  -n %{libxvmc810}
%{_libdir}/libI810XvMC.so.%{major}*

#----------------------------------------------------------------------------

%prep
%setup -qn xf86-video-intel-%{gitdate}-git%{gitrev}
%apply_patches

%build
autoreconf -vfi
%configure2_5x

%make

%install
%makeinstall_std

%changelog
